# Django settings for procesos project.
import os,sys
PATH = os.path.realpath(os.path.dirname(__file__))
reload(sys)
sys.setdefaultencoding("utf-8")

DEBUG = True
TEMPLATE_DEBUG = DEBUG

ADMINS = (
    #('Erwin Paredes', 'eparedes@cenditel.gob.ve'),
    #('Jesus Becerra', 'jbecerra@cenditel.gob.ve'),
)

MANAGERS = ADMINS

"""
Variables que permiten la conexion del servidor de correo para el proceso de activacion de cuentas de  usuario
"""
EMAIL_HOST          = 'mail.cenditel.gob.ve'
EMAIL_PORT          = 25
EMAIL_FROM = 'miv.cadenas@cenditel.gob.ve'
DEFAULT_CHARSET = 'utf-8'


DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.postgresql_psycopg2', # 'postgresql', 'mysql', 'sqlite3' or 'oracle'.
        'NAME': 'alba',                      # Or path to database file if using sqlite3.
        'USER': '',                      # Not used with sqlite3.
        'PASSWORD': '',                  # Not used with sqlite3.
        'HOST': 'localhost',                      # Set to empty string for localhost. Not used with sqlite3.
        'PORT': '5432',                      # Set to empty string for default. Not used with sqlite3.
    }
}

# Hosts/domain names that are valid for this site; required if DEBUG is False
# See https://docs.djangoproject.com/en/1.3/ref/settings/#allowed-hosts
ALLOWED_HOSTS = []

# Local time zone for this installation. Choices can be found here:
# http://en.wikipedia.org/wiki/List_of_tz_zones_by_name
# although not all choices may be available on all operating systems.
# On Unix systems, a value of None will cause Django to use the same
# timezone as the operating system.
# If running in a Windows environment this must be set to the same as your
# system time zone.
TIME_ZONE = 'America/Caracas'

# Language code for this installation. All choices can be found here:
# http://www.i18nguy.com/unicode/language-identifiers.html
LANGUAGE_CODE = 'es-ve'

SITE_ID = 1

# If you set this to False, Django will make some optimizations so as not
# to load the internationalization machinery.
USE_I18N = True
USE_L10N = True 

BASE_URL = "http://localhost:8000"
TMP_URL = BASE_URL +"/tmp"
# Absolute path to the directory that holds media.
# Example: "/home/media/media.lawrence.com/"
MEDIA_ROOT = os.path.join(PATH, "media")

# URL that handles the media served from MEDIA_ROOT. Make sure to use a
# trailing slash if there is a path component (optional in other cases).
# Examples: "http://media.lawrence.com", "http://example.com/media/"
MEDIA_URL = BASE_URL+"/media/"

FONTH_PATH = os.path.join(PATH, "media/fonts")
IMAGES_PATH = os.path.join(PATH, "/media/imagenes")

# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
# trailing slash.
# Examples: "http://media.lawrence.com/media/", "http://example.com/media/"
#MEDIA_URL = ''

# Absolute path to the directory static files should be collected to.
# Don't put anything in this directory yourself; store your static files
# in apps' "static/" subdirectories and in STATICFILES_DIRS.
# Example: "/home/media/media.lawrence.com/static/"
STATIC_ROOT = ''

# URL prefix for static files.
# Example: "http://media.lawrence.com/static/"
STATIC_URL = '/static/'

# URL prefix for admin static files -- CSS, JavaScript and images.
# Make sure to use a trailing slash.
# Examples: "http://foo.com/static/admin/", "/static/admin/".
ADMIN_MEDIA_PREFIX = '/static/admin/'

# Additional locations of static files
STATICFILES_DIRS = (
    # Put strings here, like "/home/html/static" or "C:/www/django/static".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
)

# List of finder classes that know how to find static files in
# various locations.
STATICFILES_FINDERS = (
    'django.contrib.staticfiles.finders.FileSystemFinder',
    'django.contrib.staticfiles.finders.AppDirectoriesFinder',
#    'django.contrib.staticfiles.finders.DefaultStorageFinder',
)

# Make this unique, and don't share it with anybody.
SECRET_KEY = '&9%nh(h=p=mwdw8ggx=7fyc&kuoroo7b#on96chdme54enf&le'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.Loader',
    'django.template.loaders.app_directories.Loader',
#     'django.template.loaders.eggs.Loader',
)

TEMPLATE_CONTEXT_PROCESSORS = (
    'django.core.context_processors.media',
    #'django.core.context_processors.auth',
    'django.contrib.auth.context_processors.auth',
    "django.core.context_processors.i18n",
    'procesadores_contexto.base_url',
)

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    #'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
)

ROOT_URLCONF = 'ecoalba.urls'

TEMPLATE_DIRS = (
    # Put strings here, like "/home/html/django_templates" or "C:/www/django/templates".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
    os.path.join(PATH, "templates"),
    #'django/contrib/databrowse/templates',
)

INSTALLED_APPS = (
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'django.contrib.flatpages',
    # Uncomment the next line to enable the admin:
    'django.contrib.admin',
    # Uncomment the next line to enable admin documentation:
    # 'django.contrib.admindocs',
    'comun',
    'autenticar',
    'mapa',
    'dajax',
)


captchaSecretKey = "fR9^%tvHh2[+0_fxxhv$d(*rf!f$vns"
captchaTimeout = 500
LOGIN_URL = BASE_URL+"/signin/"
LOGOUT_URL = BASE_URL+"/"
SIGNUP_EMAIL_NOWAIT = False
SIGNUP_EMAIL_SITE = "Proyecto Map de Mercancia"
SIGNUP_EMAIL_SUBJECT = "Bienvenido al %s" % SIGNUP_EMAIL_SITE


DIAS_CADUCIDAD=30

BASE_PATH = ""

DAJAX_MEDIA_PREFIX = BASE_PATH+"dajax"
DAJAX_MEDIA_BARE_PREFIX = "dajax"
DAJAX_JS_FRAMEWORK = "jQuery"
DAJAX_FUNCTIONS = (
    'autenticar.ajax.reloadCaptcha',
    'autenticar.ajax.completarCedula',
    'comun.ajax.reiniciarForm',
)

SESSION_EXPIRE_AT_BROWSER_CLOSE = True

# A sample logging configuration. The only tangible logging
# performed by this configuration is to send an email to
# the site admins on every HTTP 500 error.
# See http://docs.djangoproject.com/en/dev/topics/logging for
# more details on how to customize your logging configuration.

#LOGGING = {
#    'version': 1,
#    'disable_existing_loggers': False,
#    'handlers': {
#        'mail_admins': {
#            'level': 'ERROR',
#            'class': 'django.utils.log.AdminEmailHandler'
#        }
#    },
#    'loggers': {
#        'django.request': {
#            'handlers': ['mail_admins'],
#            'level': 'ERROR',
#            'propagate': True,
#        },
#    }
#}
